{
  "name": "gcls_page_textbook",
  "version": "0.1.0",
  "private": true,
  "main": "main.js",
  "description": "An Electron & Vue.js quick start boilerplate",
  "author": "dsy",
  "scripts": {
    "electron": "nodemon --watch main.js --exec \"electron .\"",
    "dev": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:beiyu": "vue-cli-service build --mode beiyu",
    "lint": "vue-cli-service lint",
    "postinstall": "patch-package",
    "builder": "electron-builder",
    "builder:win": "npm run build && npm run builder",
    "builder:beiyu": "npm run build:beiyu && npm run builder",
    "builder:mac": "electron-builder --mac"
  },
  "dependencies": {
    "@tinymce/tinymce-vue": "^3.2.8",
    "axios": "^1.7.2",
    "cnchar": "^3.2.6",
    "core-js": "^3.37.1",
    "dompurify": "^3.1.5",
    "element-ui": "^2.15.14",
    "js-audio-recorder": "^1.0.7",
    "js-cookie": "^3.0.5",
    "md5": "^2.3.0",
    "nprogress": "^0.2.0",
    "tinymce": "^5.10.9",
    "vue": "^2.6.14",
    "vue-router": "^3.6.5",
    "vuedraggable": "^2.24.3",
    "vuex": "^3.6.2"
  },
  "devDependencies": {
    "@babel/core": "^7.24.7",
    "@babel/eslint-parser": "^7.24.7",
    "@electron/fuses": "^1.8.0",
    "@rushstack/eslint-patch": "^1.10.3",
    "@types/md5": "^2.3.5",
    "@vue/cli-plugin-babel": "~5.0.8",
    "@vue/cli-plugin-eslint": "~5.0.8",
    "@vue/cli-service": "~5.0.8",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/preload-webpack-plugin": "^2.0.0",
    "compression-webpack-plugin": "^6.1.2",
    "electron": "29.3.2",
    "electron-builder": "^24.13.3",
    "eslint": "^8.57.0",
    "eslint-plugin-prettier": "^5.1.3",
    "eslint-plugin-vue": "^9.26.0",
    "nodemon": "^3.1.3",
    "patch-package": "^8.0.0",
    "postcss-html": "^1.7.0",
    "prettier": "^3.3.0",
    "sass": "^1.77.4",
    "sass-loader": "^14.2.1",
    "stylelint": "^15.11.0",
    "stylelint-config-recess-order": "^4.6.0",
    "stylelint-config-recommended-scss": "^14.0.0",
    "stylelint-config-recommended-vue": "^1.5.0",
    "stylelint-config-standard-scss": "^12.0.0",
    "stylelint-declaration-block-no-ignored-properties": "^2.8.0",
    "stylelint-webpack-plugin": "^4.1.1",
    "svg-sprite-loader": "^6.0.11",
    "svgo": "^3.3.2",
    "vue-template-compiler": "^2.6.14"
  },
  "build": {
    "appId": "com.gcls.page.textbook",
    "productName": "gcls_page_textbook",
    "directories": {
      "output": "out"
    },
    "win": {
      "target": "nsis",
      "icon": "./public/icon.png"
    },
    "linux": {
      "target": "AppImage",
      "icon": "./public/icon.png"
    },
    "mac": {
      "target": "dmg",
      "icon": "./public/icon.png"
    },
    "nsis": {
      "oneClick": false,
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "perMachine": false
    },
    "dmg": {
      "contents": [
        {
          "x": 110,
          "y": 150
        },
        {
          "x": 240,
          "y": 150,
          "type": "link",
          "path": "/Applications"
        }
      ]
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
